%global rtld pl.suve.colorful

Name:           colorful
Version:        2.2
Release:        %mkrel 2
Summary:        Side-view shooter game
Group:          Games/Shooter
# The game itself is GPLv3.
# The source archive also inluces Pascal units for SDL2.
# Said units are dual-licensed: MPLv2 or zlib.
License:        GPL-3.0-only AND (MPL-2.0 OR Zlib)
URL:            https://svgames.pl
Source0:        https://github.com/suve/LD25/releases/download/release-%{version}/colorful-%{version}-source.zip
Patch0:         colorful-mga-games-dir.patch

BuildRequires:  fpc >= 3.0.0
BuildRequires:  glibc-devel
BuildRequires:  make
BuildRequires:  optipng
BuildRequires:  vorbis-tools
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)

Requires:       colorful-data >= %{version}-%{release}


%description
Colorful is a simple side-view shooter game, where the protagonist 
travels a maze of caves and corridors in order to collect color artifacts.


%package data
Summary:        Game data for Colorful
# The game uses separate licenses for code and assets
License:        zlib-acknowledgement
BuildArch:      noarch

%description data
Data files (graphics, maps, sounds) required to play Colorful.


%prep
%autosetup -p1 -n %{name}-%{version}-source

%build 
./configure.sh --assets=systemwide --flags="-g -gl -gw" --prefix=%{_prefix} --strip=false
%make_build

%install
%make_install

%files
%doc README.md
%license LICENCE-CODE.txt
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{rtld}.desktop
%{_metainfodir}/%{rtld}.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man6/%{name}.6*
%{_mandir}/*/man6/%{name}.6*

%files data
%license LICENCE-ASSETS.txt
%{_gamesdatadir}/suve/


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.2-2.mga10
+ Revision: 2233848
- Mageia 10 Mass Rebuild

* Tue Jan 14 2025 daviddavid <daviddavid> 2.2-1.mga10
+ Revision: 2138806
- new version: 2.2

* Sun Jan 12 2025 daviddavid <daviddavid> 2.1-1.mga10
+ Revision: 2138178
- initial package colorful

